/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "rpg/world/map.h"
#include "assert/assert.h"

void testMapInit(map_t *map) {
  mapInit(map, 20, 20, 1);

  entity_t *player = mapEntityAdd(map);
  entityInit(player, ENTITY_TYPE_PLAYER, map);
  entityPositionSet(player, 5, 5);

  entity_t *npc = mapEntityAdd(map);
  entityInit(npc, ENTITY_TYPE_NPC, map);
  entityPositionSet(npc, 10, 10);

  tile_t tiles[42 * 42];
  memset(tiles, 0, sizeof(tiles));

  tiles[0].id = TILE_ID_GRASS;
  tiles[1].id = TILE_ID_GRASS;
  tiles[2].id = TILE_ID_GRASS;
  tiles[3].id = TILE_ID_GRASS;
  tiles[4].id = TILE_ID_GRASS;
  tiles[5].id = TILE_ID_GRASS;
  tiles[6].id = TILE_ID_GRASS;
  tiles[7].id = TILE_ID_GRASS;
  tiles[8].id = TILE_ID_GRASS;
  tiles[9].id = TILE_ID_GRASS;
  tiles[10].id = TILE_ID_GRASS;
  tiles[11].id = TILE_ID_WATER;
  tiles[12].id = TILE_ID_WATER;
  tiles[13].id = TILE_ID_WATER;
  tiles[14].id = TILE_ID_WATER;
  tiles[15].id = TILE_ID_WATER;
  tiles[16].id = TILE_ID_GRASS;
  tiles[17].id = TILE_ID_GRASS;
  tiles[18].id = TILE_ID_GRASS;
  tiles[19].id = TILE_ID_GRASS;

  tiles[20].id = TILE_ID_GRASS;
  tiles[21].id = TILE_ID_GRASS;
  tiles[22].id = TILE_ID_GRASS;
  tiles[23].id = TILE_ID_GRASS;
  tiles[24].id = TILE_ID_GRASS;
  tiles[25].id = TILE_ID_GRASS;
  tiles[26].id = TILE_ID_GRASS;
  tiles[27].id = TILE_ID_GRASS;
  tiles[28].id = TILE_ID_GRASS;
  tiles[29].id = TILE_ID_GRASS;
  tiles[30].id = TILE_ID_WATER;
  tiles[31].id = TILE_ID_WATER;
  tiles[32].id = TILE_ID_WATER;
  tiles[33].id = TILE_ID_WATER;
  tiles[34].id = TILE_ID_WATER;
  tiles[35].id = TILE_ID_WATER;
  tiles[36].id = TILE_ID_GRASS;
  tiles[37].id = TILE_ID_GRASS;
  tiles[38].id = TILE_ID_GRASS;
  tiles[39].id = TILE_ID_GRASS;


  
  mapTilesSet(map, tiles, 0);
}