/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "textbox.h"
#include "assert/assert.h"

textbox_t TEXTBOX;

void textboxInit() {
  memset(&TEXTBOX, 0, sizeof(textbox_t));
}

void textboxSetText(const char_t *text) {
  assertNotNull(text, "Text cannot be NULL.");
  size_t len = strlen(text);
  assertTrue(len < TEXTBOX_TEXT_MAX - 1, "Text is too long.");
  strcpy(TEXTBOX.text, text);
  TEXTBOX.open = true;
}

bool_t textboxIsOpen() {
  return TEXTBOX.open;
}