/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dawn.h"

#define TEXTBOX_TEXT_MAX 256

typedef struct {
  char_t text[TEXTBOX_TEXT_MAX];
  bool_t open;
} textbox_t;

extern textbox_t TEXTBOX;

/**
 * Initializes the textbox.
 */
void textboxInit();

/**
 * Sets the text of the textbox, and opens it.
 * 
 * @param text Text to set.
 */
void textboxSetText(const char_t *text);

/**
 * Returns whether the textbox is open.
 * 
 * @return Whether the textbox is open.
 */
bool_t textboxIsOpen();